Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent
Class SystemEvents

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.SystemEvents

public class SystemEvents
extends Behavior

Default implentation of standard set of system events: open document, load layer, and more. Behaviors shouldn't call Browser directly; instead, send a semantic event, so other behaviors can filter/mutate/record/... it. For example, to open new document, send `Document.MSG_OPEN`; this class opens the document, and in addition `Cookies` adds/records Cookies, `ForwardBack` records the trail, `History` records in persistently, and other behaviors could handle a proxy server and encryption and so on.

This behavior implements all of its handled semantic events in `semanticEventAfter(SemanticEvent, String)`. It does so in after in order to give other behaviors a chance to modify the event.

Version:
  $Revision: 1.15 $ $Date: 2005/01/03 09:06:37 $

Field Summary
`static java.lang.String` | `MSG_DESTROY` Destroy objects of various types: Node, Behavior, ...
`static java.lang.String` | `MSG_FORM_DATA` Broadcast content of form for some other behavior to process, as opposed to sending to some server.
`static java.lang.String` | `MSG_GO_HOME` Open user home page, by sending `Document.MSG_OPEN` with HOMEPAGE user preference.

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`SystemEvents()`

Method Summary
`boolean` | `semanticEventAfter(SemanticEvent se, java.lang.String msg)` Default implementations of various semantic events, in After to give everybody else a chance to do something different.

Methods inherited from class multivalent.Behavior
`buildAfter, buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, destroy, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restore, restoreChildren, save, semanticEventBefore, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG_GO_HOME

    public static final java.lang.String MSG_GO_HOME

  Open user home page, by sending `Document.MSG_OPEN` with HOMEPAGE user preference.

  `"goHome"`

  See Also:
    Constant Field Values

### MSG_FORM_DATA

    public static final java.lang.String MSG_FORM_DATA

  Broadcast content of form for some other behavior to process, as opposed to sending to some server.

  `"formData"`: `arg=` `Map` name-value pairs, `in=` `Node` root-of-form

  See Also:
    Constant Field Values

### MSG_DESTROY

    public static final java.lang.String MSG_DESTROY

  Destroy objects of various types: Node, Behavior, ...

  `"destroy"`: `arg=` `Object` object-to-destroy

  See Also:
    Constant Field Values

Constructor Detail

### SystemEvents

    public SystemEvents()

Method Detail

### semanticEventAfter

    public boolean semanticEventAfter(SemanticEvent se,
                                      java.lang.String msg)

  Default implementations of various semantic events, in After to give everybody else a chance to do something different. Semantic events handled here: `Multivalent.MSG_EXIT`, `Browser.MSG_NEW`, `Browser.MSG_CLOSE`, `Browser.MSG_STATUS`, `Document.MSG_OPEN` This event can arrive between openDocument and openedDocument, as openDocument request a new document, the system realizes the current one hasn't been closed and so issues closeDocument, before the request is satisfied as announced by openedDocument. , `Document.MSG_OPENED`, `Document.MSG_RELOAD`, `Document.MSG_STOP`, `Document.MSG_CLOSE`, `Document.MSG_REFORMAT`, `Document.MSG_REPAINT`, `Layer.MSG_LOAD`, `IScrollPane.MSG_SCROLL_TO` `MSG_GO_HOME`,

  Overrides:
    `semanticEventAfter` in class `Behavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD